%define url ftp://195.92.249.252/pub/gphoto/0.4/

Summary:	Gphoto - the GNU Digital Camera Program
Name:		gphoto
Version:	0.4.3
Release:	%mkrel 24
License:	GPL
Group:		Graphics
BuildRequires:	X11-devel imlib-devel libjpeg-devel gtk+1.2-devel gdkimlib-devel

Source0:	%{url}/gphoto-%{version}.tar.bz2
Patch0:		gphoto-0.4.3-fixgui.patch.bz2
Patch1: 	gphoto-0.4.3-fixsavboth.patch.bz2
Patch2:		gphoto-0.4.3-sony-fix.patch.bz2
Patch3:		gphoto-0.4.3-optmisations.patch.bz2
Patch4:		gphoto-option.patch.bz2
Patch5:		gphoto-size.patch.bz2
Patch6:		gphoto-dir.patch.bz2
Patch7:		gphoto-retry.patch.bz2
Patch8:		gphoto-0.4.3-port.patch.bz2
Patch9:		gphoto-0.4.3-strncat.patch.bz2
Patch10:	gphoto-0.4.3-newline.patch.bz2
Patch11:	gphoto-strncpy-and-snprintf.patch.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot
URL:		http://www.gphoto.org/
Requires:	gtk+ >= 1.2.0, ImageMagick
# To assure that no user thinks that we do not have GPhoto2
Requires:	flphoto gtkam gphoto2


%description
gPhoto is part of the GNU project - and is an universal, free
GTK+ application and library framework that lets you download
images from several different digital camera models, and from
the local harddrive, and generate HTML albums.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1

%build
%configure --libdir=%{_libdir}/gphoto --libexecdir=%{_libdir}/gphoto
# Small fixes for gcc 3.4
perl -p -i -e 's:(\#include \"main.h\"):$1\n\#include \<string.h\>:' src/menu.c
perl -p -i -e 's/default:/default: break;/' src/menu.c
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications//menu
cat << EOF > %buildroot%{_datadir}/applications/mandriva-%name.desktop
[Desktop Entry]
Type=Application
Exec=gphoto
Name=GPhoto (Use FLPhoto or GTKam with new cameras)
Comment=Old GPhoto to support old cameras not supported by GPhoto2
Categories=Graphics;Viewer;
Icon=graphics_section
EOF

%post
/sbin/ldconfig
%update_menus

%postun
/sbin/ldconfig
%clean_menus

%files
%defattr(-,root,root)
%doc AUTHORS COPYING FAQ MANUAL NEWS README THANKS THEMES ChangeLog
%{_libdir}/gphoto/
%{_bindir}/*
%{_mandir}/*/*
%{_datadir}/gphoto
%{_datadir}/applications/mandriva-%{name}.desktop
%{_datadir}/gnome/apps/Graphics/gphoto.desktop

%clean
rm -rf $RPM_BUILD_ROOT


%changelog
* Fri Jan 04 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.4.3-24mdv2008.1
+ Revision: 145319
- auto-convert XDG menu entry
- BR gdkimlib-devel
- BR gtk+1.2-devel
- kill re-definition of %%buildroot on Pixel's request
- buildrequires X11-devel instead of XFree86-devel
- use %%mkrel

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Marcelo Ricardo Leitner <mrl@mandriva.com>
    - Import gphoto



* Wed Dec 14 2005 Laurent MONTEL <lmontel@mandriva.com> 0.4.3-23mdk
- Fix compile on x86_64

* Tue Sep 27 2005 Leonardo Chiquitto Filho <chiquitto@mandriva.com> 0.4.3-22mdk
- add patch 11 (strncpy instead of strcpy, snprintf instead of sprintf)
  fix bug #18861

* Fri Sep  2 2005 Till Kamppeter <till@mandriva.com> 0.4.3-21mdk
- Removed the dust of 1 year not rebuilding.

* Fri Aug 13 2004 Till Kamppeter <till@mandrakesoft.com> 0.4.3-20mdk
- Rebuild
- Fixes for gcc 3.4

* Thu Jul 17 2003 David BAUDENS <baudens@mandrakesoft.com> 0.4.3-19mdk
- Rebuild

* Fri Jun  6 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.4.3-18mdk
- patch10: remove all multiline string literals 

* Fri Feb 21 2003 Till Kamppeter <till@mandrakesoft.com> 0.4.3-17mdk
- Put user warning into menu entry.

* Fri Jan 17 2003 Till Kamppeter <till@mandrakesoft.com> 0.4.3-16mdk
- Rebuilt for new glibc.

* Tue Jun 25 2002 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.4.3-15mdk
- sony/command.c:Use strncat(), not strcat(), as intended.
- Don't use parallel built, doesn't work.

* Wed Jan 09 2002 David BAUDENS <baudens@mandrakesoft.com> 0.4.3-14mdk
- Fix menu entry (icon)

* Sat Sep 29 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.4.3-13mdk
- Some rpmlint fixes.

* Mon Apr  9 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.4.3-12mdk
- Really merge with rh patches.

* Wed Feb  7 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.4.3-11mdk
- Readd menu support..
- Merge with Red Hat release :
		- fix driver/port initialisation order (bug #23213)
		- fix window size
		- Olympus zero-length work-around (bug #23247)
		- don't crash when trying to open a directory (bug #23276)
- Move all librairies to his directory.

* Mon Dec  4 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.4.3-10mdk
- The 'make a dadou happy' release.
- Compile with %%make.
- Add optimisations for all subsytem.

* Mon Nov 20 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.4.3-9mdk
- fix sony drivers (rh).

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.4.3-8mdk
- automatically added BuildRequires

* Wed Jul 19 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.4.3-7mdk
- Correct icons and add a new set.
- Requires: ImageMagick
- Macros.
- BM.

* Sun Jun 25 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.4.3-6mdk
- Call set_camera() more lather.
- Fix when saving as thumbail and as normal images.

* Tue May 16 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.4.3-5mdk
- Call set_camera() after loading gui stuff (fix fuji drivers).

* Tue Apr 18 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.4.3-4mdk
- add ldconfig in postun
- add icon

* Wed Apr 05 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.4.3-3mdk
- merge menu file with spec

* Thu Mar 21 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.4.3-2mdk
- fix menu

* Mon Mar 20 2000 Lenny Cartier <lenny@mandrakesoft.com>
- v0.4.3
- add menu entry

* Wed Jan 12 2000 Pixel <pixel@mandrakesoft.com>
- libtoolize
- egcs

* Tue Dec 07 1999 John Buswell <johnb@mandrakesoft.com>
- 0.4.2

* Sun Nov 28 1999 John Buswell <johnb@mandrakesoft.com>
- 0.4.1
- Build Release

* Thu Oct 28 1999 John Buswell <johnb@mandrakesoft.com>
- create (more or less) mandrake spec file for gphoto
